# Uses of Interface
org.apache.qpid.proton.codec.TypeEncoding

Packages that use TypeEncoding
Package
Description
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.codec.transport

## Uses of TypeEncoding in org.apache.qpid.proton.codec

Subinterfaces of TypeEncoding in org.apache.qpid.proton.codec
Modifier and Type
Interface
Description
`static interface`
`ArrayType.ArrayEncoding`
`static interface`
`BigIntegerType.BigIntegerEncoding`
`static interface`
`BooleanType.BooleanEncoding`
`static interface`
`IntegerType.IntegerEncoding`
`static interface`
`LongType.LongEncoding`
`interface`
`PrimitiveTypeEncoding<T>`
`static interface`
`StringType.StringEncoding`
`static interface`
`SymbolType.SymbolEncoding`
`static interface`
`UnsignedIntegerType.UnsignedIntegerEncoding`
`static interface`
`UnsignedLongType.UnsignedLongEncoding`
Classes in org.apache.qpid.proton.codec that implement TypeEncoding
Modifier and Type
Class
Description
`class`
`ByteType.ByteEncoding`
`class`
`CharacterType.CharacterEncoding`
`class`
`DoubleType.DoubleEncoding`
`class`
`FloatType.FloatEncoding`
`class`
`ShortType.ShortEncoding`
`class`
`UnsignedByteType.UnsignedByteEncoding`
Methods in org.apache.qpid.proton.codec that return TypeEncoding
Modifier and Type
Method
Description
`TypeEncoding<T>`
AbstractDescribedType.`getCanonicalEncoding()`
`TypeEncoding<V>`
AMQPType.`getCanonicalEncoding()`
`TypeEncoding<DescribedType>`
DynamicDescribedType.`getCanonicalEncoding()`
`TypeEncoding<T>`
AbstractDescribedType.`getEncoding(T val)`
`TypeEncoding<V>`
AMQPType.`getEncoding(V val)`
`TypeEncoding<DescribedType>`
DynamicDescribedType.`getEncoding(DescribedType val)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type TypeEncoding
Modifier and Type
Method
Description
`Collection<TypeEncoding<T>>`
AbstractDescribedType.`getAllEncodings()`
`Collection<? extends TypeEncoding<V>>`
AMQPType.`getAllEncodings()`
`Collection<TypeEncoding<DescribedType>>`
DynamicDescribedType.`getAllEncodings()`
Methods in org.apache.qpid.proton.codec with parameters of type TypeEncoding
Modifier and Type
Method
Description
`boolean`
ByteType.ByteEncoding.`encodesSuperset(TypeEncoding<Byte> encoding)`
`boolean`
CharacterType.CharacterEncoding.`encodesSuperset(TypeEncoding<Character> encoding)`
`boolean`
DoubleType.DoubleEncoding.`encodesSuperset(TypeEncoding<Double> encoding)`
`boolean`
FloatType.FloatEncoding.`encodesSuperset(TypeEncoding<Float> encoding)`
`boolean`
ShortType.ShortEncoding.`encodesSuperset(TypeEncoding<Short> encoding)`
`boolean`
TypeEncoding.`encodesSuperset(TypeEncoding<V> encoder)`
`boolean`
UnsignedByteType.UnsignedByteEncoding.`encodesSuperset(TypeEncoding<UnsignedByte> encoding)`
`void`
ArrayType.ArrayEncoding.`setValue(Object[] val, TypeEncoding<?> encoder, int size)`

## Uses of TypeEncoding in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return TypeEncoding
Modifier and Type
Method
Description
`TypeEncoding<Accepted>`
FastPathAcceptedType.`getCanonicalEncoding()`
`TypeEncoding<AmqpSequence>`
FastPathAmqpSequenceType.`getCanonicalEncoding()`
`TypeEncoding<AmqpValue>`
FastPathAmqpValueType.`getCanonicalEncoding()`
`TypeEncoding<ApplicationProperties>`
FastPathApplicationPropertiesType.`getCanonicalEncoding()`
`TypeEncoding<Data>`
FastPathDataType.`getCanonicalEncoding()`
`TypeEncoding<DeliveryAnnotations>`
FastPathDeliveryAnnotationsType.`getCanonicalEncoding()`
`TypeEncoding<Footer>`
FastPathFooterType.`getCanonicalEncoding()`
`TypeEncoding<Header>`
FastPathHeaderType.`getCanonicalEncoding()`
`TypeEncoding<MessageAnnotations>`
FastPathMessageAnnotationsType.`getCanonicalEncoding()`
`TypeEncoding<Properties>`
FastPathPropertiesType.`getCanonicalEncoding()`
`TypeEncoding<Accepted>`
FastPathAcceptedType.`getEncoding(Accepted accepted)`
`TypeEncoding<AmqpSequence>`
FastPathAmqpSequenceType.`getEncoding(AmqpSequence val)`
`TypeEncoding<AmqpValue>`
FastPathAmqpValueType.`getEncoding(AmqpValue value)`
`TypeEncoding<ApplicationProperties>`
FastPathApplicationPropertiesType.`getEncoding(ApplicationProperties val)`
`TypeEncoding<Data>`
FastPathDataType.`getEncoding(Data val)`
`TypeEncoding<DeliveryAnnotations>`
FastPathDeliveryAnnotationsType.`getEncoding(DeliveryAnnotations val)`
`TypeEncoding<Footer>`
FastPathFooterType.`getEncoding(Footer val)`
`TypeEncoding<Header>`
FastPathHeaderType.`getEncoding(Header header)`
`TypeEncoding<MessageAnnotations>`
FastPathMessageAnnotationsType.`getEncoding(MessageAnnotations val)`
`TypeEncoding<Properties>`
FastPathPropertiesType.`getEncoding(Properties properties)`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type TypeEncoding
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Accepted>>`
FastPathAcceptedType.`getAllEncodings()`
`Collection<? extends TypeEncoding<AmqpSequence>>`
FastPathAmqpSequenceType.`getAllEncodings()`
`Collection<? extends TypeEncoding<AmqpValue>>`
FastPathAmqpValueType.`getAllEncodings()`
`Collection<? extends TypeEncoding<ApplicationProperties>>`
FastPathApplicationPropertiesType.`getAllEncodings()`
`Collection<? extends TypeEncoding<Data>>`
FastPathDataType.`getAllEncodings()`
`Collection<? extends TypeEncoding<DeliveryAnnotations>>`
FastPathDeliveryAnnotationsType.`getAllEncodings()`
`Collection<? extends TypeEncoding<Footer>>`
FastPathFooterType.`getAllEncodings()`
`Collection<? extends TypeEncoding<Header>>`
FastPathHeaderType.`getAllEncodings()`
`Collection<? extends TypeEncoding<MessageAnnotations>>`
FastPathMessageAnnotationsType.`getAllEncodings()`
`Collection<? extends TypeEncoding<Properties>>`
FastPathPropertiesType.`getAllEncodings()`

## Uses of TypeEncoding in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return TypeEncoding
Modifier and Type
Method
Description
`TypeEncoding<Disposition>`
FastPathDispositionType.`getCanonicalEncoding()`
`TypeEncoding<Flow>`
FastPathFlowType.`getCanonicalEncoding()`
`TypeEncoding<Transfer>`
FastPathTransferType.`getCanonicalEncoding()`
`TypeEncoding<Disposition>`
FastPathDispositionType.`getEncoding(Disposition disposition)`
`TypeEncoding<Flow>`
FastPathFlowType.`getEncoding(Flow flow)`
`TypeEncoding<Transfer>`
FastPathTransferType.`getEncoding(Transfer transfer)`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type TypeEncoding
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Disposition>>`
FastPathDispositionType.`getAllEncodings()`
`Collection<? extends TypeEncoding<Flow>>`
FastPathFlowType.`getAllEncodings()`
`Collection<? extends TypeEncoding<Transfer>>`
FastPathTransferType.`getAllEncodings()`